%define debug_package   %{nil}

%global provider        github
%global provider_tld    com
%global project         davmac314
%global repo            dinit
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
#global commit          013474c483f8fa1a6ebd525e93b4beca63d34f97
#global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           dinit
Epoch:          1
Version:        0.11.0
Release:        1%{?dist}
Summary:        Dinit is a service supervisor with dependency support.
License:        ASL 2.0
URL:            https://%{provider_prefix}
#Source:         https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Source:         https://%{provider_prefix}/archive/%{commit}/%{repo}-%{version}.tar.xz
Source1:        boot
Patch0:         dinit-config.patch
BuildRequires:  make
BuildRequires:  m4
%if 0%{?rhel} == 7
BuildRequires: devtoolset-7-gcc-c++
BuildRequires: devtoolset-7-libasan-devel
BuildRequires: devtoolset-7-libubsan-devel
%else
BuildRequires: gcc-c++
BuildRequires: libasan
BuildRequires: libubsan
%endif

%description
Dinit is a service supervisor with dependency support which can also
act as the system init program.

%prep
#setup -q -n %{repo}-%{commit}
%setup -q -n %{repo}-%{version}
%patch0 -p1

%build
%if 0%{?rhel} == 7
source /opt/rh/devtoolset-7/enable
%endif
make

%install
%if 0%{?rhel} == 7
source /opt/rh/devtoolset-7/enable
%endif
%make_install
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/dinit.d/boot.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/dinit.d/boot

%check
%if 0%{?rhel} == 7
source /opt/rh/devtoolset-7/enable
%endif
make check
make check-igr

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/dinit.d
%{_sbindir}/dinit
%{_sbindir}/dinitctl
%{_sbindir}/dinitcheck
%{_mandir}/man8/dinit.8.gz
%{_mandir}/man8/dinitctl.8.gz
%{_mandir}/man8/dinitcheck.8.gz
%{_mandir}/man5/dinit-service.5.gz

%changelog
* Sun Jan 17 2021 Marcin Skarbek <rpm@skarbek.name> - 1:0.11.0-1
- New version release

* Wed Dec 30 2020 Marcin Skarbek <rpm@skarbek.name> - 1:0.10.0-1
- New version release

* Sun Aug 30 2020 Marcin Skarbek <rpm@skarbek.name> - 1:0.9.0-1
- New version release

* Fri Jun 26 2020 Marcin Skarbek <rpm@skarbek.name> - 1:0.8.2-2
- Added GCC 10 build patch

* Thu Jun 25 2020 Marcin Skarbek <rpm@skarbek.name> - 1:0.8.2-1
- New version release

* Wed Jan 1 2020 Marcin Skarbek <rpm@skarbek.name> - 1:0.8.1-1
- New version release

* Fri Dec 27 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.8.0-1
- New version release

* Thu Sep 19 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.7.0-3
- Added boot file

* Wed Aug 14 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.7.0-2
- Added support for EL8 in spec

* Wed Aug 14 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.7.0-1
- New version release

* Wed Jul 31 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.6.1-1
- New version release

* Tue Jul 2 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.5.2-1
- New version release

* Tue Jun 11 2019 Marcin Skarbek <rpm@skarbek.name> - 1:0.5.1-1
- New version release

* Wed Nov 7 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-4
- Diabled shutdown functionality

* Tue Oct 30 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-3
- Refactored el7 build

* Mon Oct 29 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-2
- Added missing build deps

* Sat Oct 20 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-1
- New version release

* Sat Jun 23 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.3.0-1
- New version release

* Sat Jun 9 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.2.0-1
- New version release

* Sat Mar 31 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.1.1-2
- Added empty boot service file

* Wed Mar 21 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.1.1-1
- New version release

* Fri Mar 2 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.1.0-2
- Bump epoch of the package to resolve issue with new versioning

* Fri Mar 2 2018 Marcin Skarbek <rpm@skarbek.name> - 0.1.0-1
- New version release, switch to semantic versioning

* Mon Feb 26 2018 Marcin Skarbek <rpm@skarbek.name> - 0.09-0.3.git880fa93
- Updated code

* Tue Feb 13 2018 Marcin Skarbek <rpm@skarbek.name> - 0.09-0.2.gite7e6cad
- Updated code

* Mon Feb 12 2018 Marcin Skarbek <rpm@skarbek.name> - 0.09-0.1.git10a67db
- Updated code

* Mon Feb 5 2018 Marcin Skarbek <rpm@skarbek.name> - 0.08-1
- New version release
- Enable and split shutdown binaries as separate package

* Sat Jan 13 2018 Marcin Skarbek <rpm@skarbek.name> - 0.08-0.1.git4ee8c68
- Updated code

* Sat Jan 13 2018 Marcin Skarbek <rpm@skarbek.name> - 0.07-1
- New version release

* Fri Jan 5 2018 Marcin Skarbek <rpm@skarbek.name> - 0.07-0.1.git3510e96
- Updated code, removed shutdown functionality

* Mon Dec 25 2017 Marcin Skarbek <rpm@skarbek.name> - 0.06-0.1.gitb257765
- First package for Fedora
